/* Copyright 2005 Pablo Guerrero Rosel <523958@unizar.es>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

#ifndef __console_h__
#define __console_h__

#define VID_MEM 0xb8000 // Color graphics card
#define CON_ATTRIB 0x07 // white text, black background

#define WIDTH 80 // 80 characters per line
#define HEIGHT 25 // 25 lines

char init_console();
void put_char(char c);
void put_int(int i);
void put_string(char * s);
void del_char();
void clr_line();
void clr_console();
void new_line();
void refresh_console();
void update_cursor();

#endif
