/* Copyright 2005 Pablo Guerrero Rosel <523958@unizar.es>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */
 
#ifndef __timer_h__
#define __timer_h__


#define PIT 0x40 // PIT Base port
#define PIT_MODE 0x43 // PIT Mode port
#define PIT_FREQUENCY 1193182	// Frec=1193182Hz
#define INTERVAL 100 // Frecquency of timer_handler call (interval - 10ms)

#define TIMER_IRQ 0x0 // The IRQ of system timer

void init_timer ();
void timer_handler();
void sleep(int msec);

#endif
