/* Copyright 2005 Pablo Guerrero Rosel <523958@unizar.es>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

#include <salida.h>
#include <io.h>
#include <pic.h>
#include <gdt.h>
#include <idt.h>
#include <timer.h>
#include <floppy.h>
#include <fat.h>
#include <console.h>
#include <keyboard.h>

int kmain( void* mbd, unsigned int magic )
{
		unsigned char byte[0x600];
	    
		init_console();	
	
		put_string("Bienvenidos a NopOs v0.04 - Ya en C \n\n");	
	
		init_gdt();
		init_pic();
    init_keyboard();
		init_timer();
		fd_init();
		init_idt();

		// Set interrupts
		asm("sti");  
	
		reset();
	
		read_boot();
	
		ls_root();
	
		read(0x0004,0x00,byte,0x600); // First byte in kernel.bin	
		put_int((int)byte);

    while(1){
    };
}
